<?php

// Require
require_once 'Doctrine/Deprecations/autoload.php';
require_once 'Psr/Cache/autoload.php';
require_once 'Psr/Log/autoload.php';

// Suggest
if (stream_resolve_include_path('Symfony/Component/Console/autoload.php')) { include_once 'Symfony/Component/Console/autoload.php'; }

// @codingStandardsIgnoreFile
// @codeCoverageIgnoreStart
// this is an autogenerated file - do not edit
spl_autoload_register(
    function($class) {
        static $classes = null;
        if ($classes === null) {
            $classes = array(
                'doctrine\\dbal\\arrayparameters\\exception' => '/ArrayParameters/Exception.php',
                'doctrine\\dbal\\arrayparameters\\exception\\missingnamedparameter' => '/ArrayParameters/Exception/MissingNamedParameter.php',
                'doctrine\\dbal\\arrayparameters\\exception\\missingpositionalparameter' => '/ArrayParameters/Exception/MissingPositionalParameter.php',
                'doctrine\\dbal\\arrayparametertype' => '/ArrayParameterType.php',
                'doctrine\\dbal\\cache\\arrayresult' => '/Cache/ArrayResult.php',
                'doctrine\\dbal\\cache\\cacheexception' => '/Cache/CacheException.php',
                'doctrine\\dbal\\cache\\exception\\nocachekey' => '/Cache/Exception/NoCacheKey.php',
                'doctrine\\dbal\\cache\\exception\\noresultdriverconfigured' => '/Cache/Exception/NoResultDriverConfigured.php',
                'doctrine\\dbal\\cache\\querycacheprofile' => '/Cache/QueryCacheProfile.php',
                'doctrine\\dbal\\columncase' => '/ColumnCase.php',
                'doctrine\\dbal\\configuration' => '/Configuration.php',
                'doctrine\\dbal\\connection' => '/Connection.php',
                'doctrine\\dbal\\connection\\staticserverversionprovider' => '/Connection/StaticServerVersionProvider.php',
                'doctrine\\dbal\\connectionexception' => '/ConnectionException.php',
                'doctrine\\dbal\\connections\\primaryreadreplicaconnection' => '/Connections/PrimaryReadReplicaConnection.php',
                'doctrine\\dbal\\driver' => '/Driver.php',
                'doctrine\\dbal\\driver\\abstractdb2driver' => '/Driver/AbstractDB2Driver.php',
                'doctrine\\dbal\\driver\\abstractexception' => '/Driver/AbstractException.php',
                'doctrine\\dbal\\driver\\abstractmysqldriver' => '/Driver/AbstractMySQLDriver.php',
                'doctrine\\dbal\\driver\\abstractoracledriver' => '/Driver/AbstractOracleDriver.php',
                'doctrine\\dbal\\driver\\abstractoracledriver\\easyconnectstring' => '/Driver/AbstractOracleDriver/EasyConnectString.php',
                'doctrine\\dbal\\driver\\abstractpostgresqldriver' => '/Driver/AbstractPostgreSQLDriver.php',
                'doctrine\\dbal\\driver\\abstractsqlitedriver' => '/Driver/AbstractSQLiteDriver.php',
                'doctrine\\dbal\\driver\\abstractsqlitedriver\\middleware\\enableforeignkeys' => '/Driver/AbstractSQLiteDriver/Middleware/EnableForeignKeys.php',
                'doctrine\\dbal\\driver\\abstractsqlserverdriver' => '/Driver/AbstractSQLServerDriver.php',
                'doctrine\\dbal\\driver\\abstractsqlserverdriver\\exception\\portwithouthost' => '/Driver/AbstractSQLServerDriver/Exception/PortWithoutHost.php',
                'doctrine\\dbal\\driver\\api\\exceptionconverter' => '/Driver/API/ExceptionConverter.php',
                'doctrine\\dbal\\driver\\api\\ibmdb2\\exceptionconverter' => '/Driver/API/IBMDB2/ExceptionConverter.php',
                'doctrine\\dbal\\driver\\api\\mysql\\exceptionconverter' => '/Driver/API/MySQL/ExceptionConverter.php',
                'doctrine\\dbal\\driver\\api\\oci\\exceptionconverter' => '/Driver/API/OCI/ExceptionConverter.php',
                'doctrine\\dbal\\driver\\api\\postgresql\\exceptionconverter' => '/Driver/API/PostgreSQL/ExceptionConverter.php',
                'doctrine\\dbal\\driver\\api\\sqlite\\exceptionconverter' => '/Driver/API/SQLite/ExceptionConverter.php',
                'doctrine\\dbal\\driver\\api\\sqlsrv\\exceptionconverter' => '/Driver/API/SQLSrv/ExceptionConverter.php',
                'doctrine\\dbal\\driver\\connection' => '/Driver/Connection.php',
                'doctrine\\dbal\\driver\\exception' => '/Driver/Exception.php',
                'doctrine\\dbal\\driver\\exception\\identitycolumnsnotsupported' => '/Driver/Exception/IdentityColumnsNotSupported.php',
                'doctrine\\dbal\\driver\\exception\\noidentityvalue' => '/Driver/Exception/NoIdentityValue.php',
                'doctrine\\dbal\\driver\\fetchutils' => '/Driver/FetchUtils.php',
                'doctrine\\dbal\\driver\\ibmdb2\\connection' => '/Driver/IBMDB2/Connection.php',
                'doctrine\\dbal\\driver\\ibmdb2\\datasourcename' => '/Driver/IBMDB2/DataSourceName.php',
                'doctrine\\dbal\\driver\\ibmdb2\\driver' => '/Driver/IBMDB2/Driver.php',
                'doctrine\\dbal\\driver\\ibmdb2\\exception\\cannotcopystreamtostream' => '/Driver/IBMDB2/Exception/CannotCopyStreamToStream.php',
                'doctrine\\dbal\\driver\\ibmdb2\\exception\\cannotcreatetemporaryfile' => '/Driver/IBMDB2/Exception/CannotCreateTemporaryFile.php',
                'doctrine\\dbal\\driver\\ibmdb2\\exception\\connectionerror' => '/Driver/IBMDB2/Exception/ConnectionError.php',
                'doctrine\\dbal\\driver\\ibmdb2\\exception\\connectionfailed' => '/Driver/IBMDB2/Exception/ConnectionFailed.php',
                'doctrine\\dbal\\driver\\ibmdb2\\exception\\factory' => '/Driver/IBMDB2/Exception/Factory.php',
                'doctrine\\dbal\\driver\\ibmdb2\\exception\\preparefailed' => '/Driver/IBMDB2/Exception/PrepareFailed.php',
                'doctrine\\dbal\\driver\\ibmdb2\\exception\\statementerror' => '/Driver/IBMDB2/Exception/StatementError.php',
                'doctrine\\dbal\\driver\\ibmdb2\\result' => '/Driver/IBMDB2/Result.php',
                'doctrine\\dbal\\driver\\ibmdb2\\statement' => '/Driver/IBMDB2/Statement.php',
                'doctrine\\dbal\\driver\\middleware' => '/Driver/Middleware.php',
                'doctrine\\dbal\\driver\\middleware\\abstractconnectionmiddleware' => '/Driver/Middleware/AbstractConnectionMiddleware.php',
                'doctrine\\dbal\\driver\\middleware\\abstractdrivermiddleware' => '/Driver/Middleware/AbstractDriverMiddleware.php',
                'doctrine\\dbal\\driver\\middleware\\abstractresultmiddleware' => '/Driver/Middleware/AbstractResultMiddleware.php',
                'doctrine\\dbal\\driver\\middleware\\abstractstatementmiddleware' => '/Driver/Middleware/AbstractStatementMiddleware.php',
                'doctrine\\dbal\\driver\\mysqli\\connection' => '/Driver/Mysqli/Connection.php',
                'doctrine\\dbal\\driver\\mysqli\\driver' => '/Driver/Mysqli/Driver.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\connectionerror' => '/Driver/Mysqli/Exception/ConnectionError.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\connectionfailed' => '/Driver/Mysqli/Exception/ConnectionFailed.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\failedreadingstreamoffset' => '/Driver/Mysqli/Exception/FailedReadingStreamOffset.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\hostrequired' => '/Driver/Mysqli/Exception/HostRequired.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\invalidcharset' => '/Driver/Mysqli/Exception/InvalidCharset.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\invalidoption' => '/Driver/Mysqli/Exception/InvalidOption.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\nonstreamresourceusedaslargeobject' => '/Driver/Mysqli/Exception/NonStreamResourceUsedAsLargeObject.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\statementerror' => '/Driver/Mysqli/Exception/StatementError.php',
                'doctrine\\dbal\\driver\\mysqli\\initializer' => '/Driver/Mysqli/Initializer.php',
                'doctrine\\dbal\\driver\\mysqli\\initializer\\charset' => '/Driver/Mysqli/Initializer/Charset.php',
                'doctrine\\dbal\\driver\\mysqli\\initializer\\options' => '/Driver/Mysqli/Initializer/Options.php',
                'doctrine\\dbal\\driver\\mysqli\\initializer\\secure' => '/Driver/Mysqli/Initializer/Secure.php',
                'doctrine\\dbal\\driver\\mysqli\\result' => '/Driver/Mysqli/Result.php',
                'doctrine\\dbal\\driver\\mysqli\\statement' => '/Driver/Mysqli/Statement.php',
                'doctrine\\dbal\\driver\\oci8\\connection' => '/Driver/OCI8/Connection.php',
                'doctrine\\dbal\\driver\\oci8\\convertpositionaltonamedplaceholders' => '/Driver/OCI8/ConvertPositionalToNamedPlaceholders.php',
                'doctrine\\dbal\\driver\\oci8\\driver' => '/Driver/OCI8/Driver.php',
                'doctrine\\dbal\\driver\\oci8\\exception\\connectionfailed' => '/Driver/OCI8/Exception/ConnectionFailed.php',
                'doctrine\\dbal\\driver\\oci8\\exception\\error' => '/Driver/OCI8/Exception/Error.php',
                'doctrine\\dbal\\driver\\oci8\\exception\\invalidconfiguration' => '/Driver/OCI8/Exception/InvalidConfiguration.php',
                'doctrine\\dbal\\driver\\oci8\\exception\\nonterminatedstringliteral' => '/Driver/OCI8/Exception/NonTerminatedStringLiteral.php',
                'doctrine\\dbal\\driver\\oci8\\exception\\unknownparameterindex' => '/Driver/OCI8/Exception/UnknownParameterIndex.php',
                'doctrine\\dbal\\driver\\oci8\\executionmode' => '/Driver/OCI8/ExecutionMode.php',
                'doctrine\\dbal\\driver\\oci8\\middleware\\initializesession' => '/Driver/OCI8/Middleware/InitializeSession.php',
                'doctrine\\dbal\\driver\\oci8\\result' => '/Driver/OCI8/Result.php',
                'doctrine\\dbal\\driver\\oci8\\statement' => '/Driver/OCI8/Statement.php',
                'doctrine\\dbal\\driver\\pdo\\connection' => '/Driver/PDO/Connection.php',
                'doctrine\\dbal\\driver\\pdo\\exception' => '/Driver/PDO/Exception.php',
                'doctrine\\dbal\\driver\\pdo\\mysql\\driver' => '/Driver/PDO/MySQL/Driver.php',
                'doctrine\\dbal\\driver\\pdo\\oci\\driver' => '/Driver/PDO/OCI/Driver.php',
                'doctrine\\dbal\\driver\\pdo\\pgsql\\driver' => '/Driver/PDO/PgSQL/Driver.php',
                'doctrine\\dbal\\driver\\pdo\\result' => '/Driver/PDO/Result.php',
                'doctrine\\dbal\\driver\\pdo\\sqlite\\driver' => '/Driver/PDO/SQLite/Driver.php',
                'doctrine\\dbal\\driver\\pdo\\sqlsrv\\connection' => '/Driver/PDO/SQLSrv/Connection.php',
                'doctrine\\dbal\\driver\\pdo\\sqlsrv\\driver' => '/Driver/PDO/SQLSrv/Driver.php',
                'doctrine\\dbal\\driver\\pdo\\sqlsrv\\statement' => '/Driver/PDO/SQLSrv/Statement.php',
                'doctrine\\dbal\\driver\\pdo\\statement' => '/Driver/PDO/Statement.php',
                'doctrine\\dbal\\driver\\pgsql\\connection' => '/Driver/PgSQL/Connection.php',
                'doctrine\\dbal\\driver\\pgsql\\convertparameters' => '/Driver/PgSQL/ConvertParameters.php',
                'doctrine\\dbal\\driver\\pgsql\\driver' => '/Driver/PgSQL/Driver.php',
                'doctrine\\dbal\\driver\\pgsql\\exception' => '/Driver/PgSQL/Exception.php',
                'doctrine\\dbal\\driver\\pgsql\\exception\\unexpectedvalue' => '/Driver/PgSQL/Exception/UnexpectedValue.php',
                'doctrine\\dbal\\driver\\pgsql\\exception\\unknownparameter' => '/Driver/PgSQL/Exception/UnknownParameter.php',
                'doctrine\\dbal\\driver\\pgsql\\result' => '/Driver/PgSQL/Result.php',
                'doctrine\\dbal\\driver\\pgsql\\statement' => '/Driver/PgSQL/Statement.php',
                'doctrine\\dbal\\driver\\result' => '/Driver/Result.php',
                'doctrine\\dbal\\driver\\sqlite3\\connection' => '/Driver/SQLite3/Connection.php',
                'doctrine\\dbal\\driver\\sqlite3\\driver' => '/Driver/SQLite3/Driver.php',
                'doctrine\\dbal\\driver\\sqlite3\\exception' => '/Driver/SQLite3/Exception.php',
                'doctrine\\dbal\\driver\\sqlite3\\result' => '/Driver/SQLite3/Result.php',
                'doctrine\\dbal\\driver\\sqlite3\\statement' => '/Driver/SQLite3/Statement.php',
                'doctrine\\dbal\\driver\\sqlsrv\\connection' => '/Driver/SQLSrv/Connection.php',
                'doctrine\\dbal\\driver\\sqlsrv\\driver' => '/Driver/SQLSrv/Driver.php',
                'doctrine\\dbal\\driver\\sqlsrv\\exception\\error' => '/Driver/SQLSrv/Exception/Error.php',
                'doctrine\\dbal\\driver\\sqlsrv\\result' => '/Driver/SQLSrv/Result.php',
                'doctrine\\dbal\\driver\\sqlsrv\\statement' => '/Driver/SQLSrv/Statement.php',
                'doctrine\\dbal\\driver\\statement' => '/Driver/Statement.php',
                'doctrine\\dbal\\drivermanager' => '/DriverManager.php',
                'doctrine\\dbal\\exception' => '/Exception.php',
                'doctrine\\dbal\\exception\\commitfailedrollbackonly' => '/Exception/CommitFailedRollbackOnly.php',
                'doctrine\\dbal\\exception\\connectionexception' => '/Exception/ConnectionException.php',
                'doctrine\\dbal\\exception\\connectionlost' => '/Exception/ConnectionLost.php',
                'doctrine\\dbal\\exception\\constraintviolationexception' => '/Exception/ConstraintViolationException.php',
                'doctrine\\dbal\\exception\\databasedoesnotexist' => '/Exception/DatabaseDoesNotExist.php',
                'doctrine\\dbal\\exception\\databaseobjectexistsexception' => '/Exception/DatabaseObjectExistsException.php',
                'doctrine\\dbal\\exception\\databaseobjectnotfoundexception' => '/Exception/DatabaseObjectNotFoundException.php',
                'doctrine\\dbal\\exception\\databaserequired' => '/Exception/DatabaseRequired.php',
                'doctrine\\dbal\\exception\\deadlockexception' => '/Exception/DeadlockException.php',
                'doctrine\\dbal\\exception\\driverexception' => '/Exception/DriverException.php',
                'doctrine\\dbal\\exception\\driverrequired' => '/Exception/DriverRequired.php',
                'doctrine\\dbal\\exception\\foreignkeyconstraintviolationexception' => '/Exception/ForeignKeyConstraintViolationException.php',
                'doctrine\\dbal\\exception\\invalidargumentexception' => '/Exception/InvalidArgumentException.php',
                'doctrine\\dbal\\exception\\invalidcolumndeclaration' => '/Exception/InvalidColumnDeclaration.php',
                'doctrine\\dbal\\exception\\invalidcolumntype' => '/Exception/InvalidColumnType.php',
                'doctrine\\dbal\\exception\\invalidcolumntype\\columnlengthrequired' => '/Exception/InvalidColumnType/ColumnLengthRequired.php',
                'doctrine\\dbal\\exception\\invalidcolumntype\\columnprecisionrequired' => '/Exception/InvalidColumnType/ColumnPrecisionRequired.php',
                'doctrine\\dbal\\exception\\invalidcolumntype\\columnscalerequired' => '/Exception/InvalidColumnType/ColumnScaleRequired.php',
                'doctrine\\dbal\\exception\\invaliddriverclass' => '/Exception/InvalidDriverClass.php',
                'doctrine\\dbal\\exception\\invalidfieldnameexception' => '/Exception/InvalidFieldNameException.php',
                'doctrine\\dbal\\exception\\invalidwrapperclass' => '/Exception/InvalidWrapperClass.php',
                'doctrine\\dbal\\exception\\lockwaittimeoutexception' => '/Exception/LockWaitTimeoutException.php',
                'doctrine\\dbal\\exception\\malformeddsnexception' => '/Exception/MalformedDsnException.php',
                'doctrine\\dbal\\exception\\noactivetransaction' => '/Exception/NoActiveTransaction.php',
                'doctrine\\dbal\\exception\\nokeyvalue' => '/Exception/NoKeyValue.php',
                'doctrine\\dbal\\exception\\nonuniquefieldnameexception' => '/Exception/NonUniqueFieldNameException.php',
                'doctrine\\dbal\\exception\\notnullconstraintviolationexception' => '/Exception/NotNullConstraintViolationException.php',
                'doctrine\\dbal\\exception\\readonlyexception' => '/Exception/ReadOnlyException.php',
                'doctrine\\dbal\\exception\\retryableexception' => '/Exception/RetryableException.php',
                'doctrine\\dbal\\exception\\savepointsnotsupported' => '/Exception/SavepointsNotSupported.php',
                'doctrine\\dbal\\exception\\schemadoesnotexist' => '/Exception/SchemaDoesNotExist.php',
                'doctrine\\dbal\\exception\\serverexception' => '/Exception/ServerException.php',
                'doctrine\\dbal\\exception\\syntaxerrorexception' => '/Exception/SyntaxErrorException.php',
                'doctrine\\dbal\\exception\\tableexistsexception' => '/Exception/TableExistsException.php',
                'doctrine\\dbal\\exception\\tablenotfoundexception' => '/Exception/TableNotFoundException.php',
                'doctrine\\dbal\\exception\\uniqueconstraintviolationexception' => '/Exception/UniqueConstraintViolationException.php',
                'doctrine\\dbal\\exception\\unknowndriver' => '/Exception/UnknownDriver.php',
                'doctrine\\dbal\\expandarrayparameters' => '/ExpandArrayParameters.php',
                'doctrine\\dbal\\lockmode' => '/LockMode.php',
                'doctrine\\dbal\\logging\\connection' => '/Logging/Connection.php',
                'doctrine\\dbal\\logging\\driver' => '/Logging/Driver.php',
                'doctrine\\dbal\\logging\\middleware' => '/Logging/Middleware.php',
                'doctrine\\dbal\\logging\\statement' => '/Logging/Statement.php',
                'doctrine\\dbal\\parametertype' => '/ParameterType.php',
                'doctrine\\dbal\\platforms\\abstractmysqlplatform' => '/Platforms/AbstractMySQLPlatform.php',
                'doctrine\\dbal\\platforms\\abstractplatform' => '/Platforms/AbstractPlatform.php',
                'doctrine\\dbal\\platforms\\dateintervalunit' => '/Platforms/DateIntervalUnit.php',
                'doctrine\\dbal\\platforms\\db2platform' => '/Platforms/DB2Platform.php',
                'doctrine\\dbal\\platforms\\exception\\invalidplatformversion' => '/Platforms/Exception/InvalidPlatformVersion.php',
                'doctrine\\dbal\\platforms\\exception\\nocolumnsspecifiedfortable' => '/Platforms/Exception/NoColumnsSpecifiedForTable.php',
                'doctrine\\dbal\\platforms\\exception\\notsupported' => '/Platforms/Exception/NotSupported.php',
                'doctrine\\dbal\\platforms\\exception\\platformexception' => '/Platforms/Exception/PlatformException.php',
                'doctrine\\dbal\\platforms\\keywords\\db2keywords' => '/Platforms/Keywords/DB2Keywords.php',
                'doctrine\\dbal\\platforms\\keywords\\keywordlist' => '/Platforms/Keywords/KeywordList.php',
                'doctrine\\dbal\\platforms\\keywords\\mariadbkeywords' => '/Platforms/Keywords/MariaDBKeywords.php',
                'doctrine\\dbal\\platforms\\keywords\\mysql80keywords' => '/Platforms/Keywords/MySQL80Keywords.php',
                'doctrine\\dbal\\platforms\\keywords\\mysqlkeywords' => '/Platforms/Keywords/MySQLKeywords.php',
                'doctrine\\dbal\\platforms\\keywords\\oraclekeywords' => '/Platforms/Keywords/OracleKeywords.php',
                'doctrine\\dbal\\platforms\\keywords\\postgresqlkeywords' => '/Platforms/Keywords/PostgreSQLKeywords.php',
                'doctrine\\dbal\\platforms\\keywords\\sqlitekeywords' => '/Platforms/Keywords/SQLiteKeywords.php',
                'doctrine\\dbal\\platforms\\keywords\\sqlserverkeywords' => '/Platforms/Keywords/SQLServerKeywords.php',
                'doctrine\\dbal\\platforms\\mariadb1052platform' => '/Platforms/MariaDB1052Platform.php',
                'doctrine\\dbal\\platforms\\mariadb1060platform' => '/Platforms/MariaDB1060Platform.php',
                'doctrine\\dbal\\platforms\\mariadbplatform' => '/Platforms/MariaDBPlatform.php',
                'doctrine\\dbal\\platforms\\mysql80platform' => '/Platforms/MySQL80Platform.php',
                'doctrine\\dbal\\platforms\\mysql\\charsetmetadataprovider' => '/Platforms/MySQL/CharsetMetadataProvider.php',
                'doctrine\\dbal\\platforms\\mysql\\charsetmetadataprovider\\cachingcharsetmetadataprovider' => '/Platforms/MySQL/CharsetMetadataProvider/CachingCharsetMetadataProvider.php',
                'doctrine\\dbal\\platforms\\mysql\\charsetmetadataprovider\\connectioncharsetmetadataprovider' => '/Platforms/MySQL/CharsetMetadataProvider/ConnectionCharsetMetadataProvider.php',
                'doctrine\\dbal\\platforms\\mysql\\collationmetadataprovider' => '/Platforms/MySQL/CollationMetadataProvider.php',
                'doctrine\\dbal\\platforms\\mysql\\collationmetadataprovider\\cachingcollationmetadataprovider' => '/Platforms/MySQL/CollationMetadataProvider/CachingCollationMetadataProvider.php',
                'doctrine\\dbal\\platforms\\mysql\\collationmetadataprovider\\connectioncollationmetadataprovider' => '/Platforms/MySQL/CollationMetadataProvider/ConnectionCollationMetadataProvider.php',
                'doctrine\\dbal\\platforms\\mysql\\comparator' => '/Platforms/MySQL/Comparator.php',
                'doctrine\\dbal\\platforms\\mysql\\defaulttableoptions' => '/Platforms/MySQL/DefaultTableOptions.php',
                'doctrine\\dbal\\platforms\\mysqlplatform' => '/Platforms/MySQLPlatform.php',
                'doctrine\\dbal\\platforms\\oracleplatform' => '/Platforms/OraclePlatform.php',
                'doctrine\\dbal\\platforms\\postgresqlplatform' => '/Platforms/PostgreSQLPlatform.php',
                'doctrine\\dbal\\platforms\\sqlite\\comparator' => '/Platforms/SQLite/Comparator.php',
                'doctrine\\dbal\\platforms\\sqliteplatform' => '/Platforms/SQLitePlatform.php',
                'doctrine\\dbal\\platforms\\sqlserver\\comparator' => '/Platforms/SQLServer/Comparator.php',
                'doctrine\\dbal\\platforms\\sqlserver\\sql\\builder\\sqlserverselectsqlbuilder' => '/Platforms/SQLServer/SQL/Builder/SQLServerSelectSQLBuilder.php',
                'doctrine\\dbal\\platforms\\sqlserverplatform' => '/Platforms/SQLServerPlatform.php',
                'doctrine\\dbal\\platforms\\trimmode' => '/Platforms/TrimMode.php',
                'doctrine\\dbal\\portability\\connection' => '/Portability/Connection.php',
                'doctrine\\dbal\\portability\\converter' => '/Portability/Converter.php',
                'doctrine\\dbal\\portability\\driver' => '/Portability/Driver.php',
                'doctrine\\dbal\\portability\\middleware' => '/Portability/Middleware.php',
                'doctrine\\dbal\\portability\\optimizeflags' => '/Portability/OptimizeFlags.php',
                'doctrine\\dbal\\portability\\result' => '/Portability/Result.php',
                'doctrine\\dbal\\portability\\statement' => '/Portability/Statement.php',
                'doctrine\\dbal\\query' => '/Query.php',
                'doctrine\\dbal\\query\\exception\\nonuniquealias' => '/Query/Exception/NonUniqueAlias.php',
                'doctrine\\dbal\\query\\exception\\unknownalias' => '/Query/Exception/UnknownAlias.php',
                'doctrine\\dbal\\query\\expression\\compositeexpression' => '/Query/Expression/CompositeExpression.php',
                'doctrine\\dbal\\query\\expression\\expressionbuilder' => '/Query/Expression/ExpressionBuilder.php',
                'doctrine\\dbal\\query\\forupdate' => '/Query/ForUpdate.php',
                'doctrine\\dbal\\query\\forupdate\\conflictresolutionmode' => '/Query/ForUpdate/ConflictResolutionMode.php',
                'doctrine\\dbal\\query\\from' => '/Query/From.php',
                'doctrine\\dbal\\query\\join' => '/Query/Join.php',
                'doctrine\\dbal\\query\\limit' => '/Query/Limit.php',
                'doctrine\\dbal\\query\\querybuilder' => '/Query/QueryBuilder.php',
                'doctrine\\dbal\\query\\queryexception' => '/Query/QueryException.php',
                'doctrine\\dbal\\query\\querytype' => '/Query/QueryType.php',
                'doctrine\\dbal\\query\\selectquery' => '/Query/SelectQuery.php',
                'doctrine\\dbal\\result' => '/Result.php',
                'doctrine\\dbal\\schema\\abstractasset' => '/Schema/AbstractAsset.php',
                'doctrine\\dbal\\schema\\abstractschemamanager' => '/Schema/AbstractSchemaManager.php',
                'doctrine\\dbal\\schema\\column' => '/Schema/Column.php',
                'doctrine\\dbal\\schema\\columndiff' => '/Schema/ColumnDiff.php',
                'doctrine\\dbal\\schema\\comparator' => '/Schema/Comparator.php',
                'doctrine\\dbal\\schema\\db2schemamanager' => '/Schema/DB2SchemaManager.php',
                'doctrine\\dbal\\schema\\defaultschemamanagerfactory' => '/Schema/DefaultSchemaManagerFactory.php',
                'doctrine\\dbal\\schema\\exception\\columnalreadyexists' => '/Schema/Exception/ColumnAlreadyExists.php',
                'doctrine\\dbal\\schema\\exception\\columndoesnotexist' => '/Schema/Exception/ColumnDoesNotExist.php',
                'doctrine\\dbal\\schema\\exception\\foreignkeydoesnotexist' => '/Schema/Exception/ForeignKeyDoesNotExist.php',
                'doctrine\\dbal\\schema\\exception\\indexalreadyexists' => '/Schema/Exception/IndexAlreadyExists.php',
                'doctrine\\dbal\\schema\\exception\\indexdoesnotexist' => '/Schema/Exception/IndexDoesNotExist.php',
                'doctrine\\dbal\\schema\\exception\\indexnameinvalid' => '/Schema/Exception/IndexNameInvalid.php',
                'doctrine\\dbal\\schema\\exception\\invalidtablename' => '/Schema/Exception/InvalidTableName.php',
                'doctrine\\dbal\\schema\\exception\\namespacealreadyexists' => '/Schema/Exception/NamespaceAlreadyExists.php',
                'doctrine\\dbal\\schema\\exception\\sequencealreadyexists' => '/Schema/Exception/SequenceAlreadyExists.php',
                'doctrine\\dbal\\schema\\exception\\sequencedoesnotexist' => '/Schema/Exception/SequenceDoesNotExist.php',
                'doctrine\\dbal\\schema\\exception\\tablealreadyexists' => '/Schema/Exception/TableAlreadyExists.php',
                'doctrine\\dbal\\schema\\exception\\tabledoesnotexist' => '/Schema/Exception/TableDoesNotExist.php',
                'doctrine\\dbal\\schema\\exception\\uniqueconstraintdoesnotexist' => '/Schema/Exception/UniqueConstraintDoesNotExist.php',
                'doctrine\\dbal\\schema\\exception\\unknowncolumnoption' => '/Schema/Exception/UnknownColumnOption.php',
                'doctrine\\dbal\\schema\\foreignkeyconstraint' => '/Schema/ForeignKeyConstraint.php',
                'doctrine\\dbal\\schema\\identifier' => '/Schema/Identifier.php',
                'doctrine\\dbal\\schema\\index' => '/Schema/Index.php',
                'doctrine\\dbal\\schema\\mysqlschemamanager' => '/Schema/MySQLSchemaManager.php',
                'doctrine\\dbal\\schema\\oracleschemamanager' => '/Schema/OracleSchemaManager.php',
                'doctrine\\dbal\\schema\\postgresqlschemamanager' => '/Schema/PostgreSQLSchemaManager.php',
                'doctrine\\dbal\\schema\\schema' => '/Schema/Schema.php',
                'doctrine\\dbal\\schema\\schemaconfig' => '/Schema/SchemaConfig.php',
                'doctrine\\dbal\\schema\\schemadiff' => '/Schema/SchemaDiff.php',
                'doctrine\\dbal\\schema\\schemaexception' => '/Schema/SchemaException.php',
                'doctrine\\dbal\\schema\\schemamanagerfactory' => '/Schema/SchemaManagerFactory.php',
                'doctrine\\dbal\\schema\\sequence' => '/Schema/Sequence.php',
                'doctrine\\dbal\\schema\\sqliteschemamanager' => '/Schema/SQLiteSchemaManager.php',
                'doctrine\\dbal\\schema\\sqlserverschemamanager' => '/Schema/SQLServerSchemaManager.php',
                'doctrine\\dbal\\schema\\table' => '/Schema/Table.php',
                'doctrine\\dbal\\schema\\tablediff' => '/Schema/TableDiff.php',
                'doctrine\\dbal\\schema\\uniqueconstraint' => '/Schema/UniqueConstraint.php',
                'doctrine\\dbal\\schema\\view' => '/Schema/View.php',
                'doctrine\\dbal\\serverversionprovider' => '/ServerVersionProvider.php',
                'doctrine\\dbal\\sql\\builder\\createschemaobjectssqlbuilder' => '/SQL/Builder/CreateSchemaObjectsSQLBuilder.php',
                'doctrine\\dbal\\sql\\builder\\defaultselectsqlbuilder' => '/SQL/Builder/DefaultSelectSQLBuilder.php',
                'doctrine\\dbal\\sql\\builder\\dropschemaobjectssqlbuilder' => '/SQL/Builder/DropSchemaObjectsSQLBuilder.php',
                'doctrine\\dbal\\sql\\builder\\selectsqlbuilder' => '/SQL/Builder/SelectSQLBuilder.php',
                'doctrine\\dbal\\sql\\parser' => '/SQL/Parser.php',
                'doctrine\\dbal\\sql\\parser\\exception' => '/SQL/Parser/Exception.php',
                'doctrine\\dbal\\sql\\parser\\exception\\regularexpressionerror' => '/SQL/Parser/Exception/RegularExpressionError.php',
                'doctrine\\dbal\\sql\\parser\\visitor' => '/SQL/Parser/Visitor.php',
                'doctrine\\dbal\\statement' => '/Statement.php',
                'doctrine\\dbal\\tools\\console\\command\\runsqlcommand' => '/Tools/Console/Command/RunSqlCommand.php',
                'doctrine\\dbal\\tools\\console\\connectionnotfound' => '/Tools/Console/ConnectionNotFound.php',
                'doctrine\\dbal\\tools\\console\\connectionprovider' => '/Tools/Console/ConnectionProvider.php',
                'doctrine\\dbal\\tools\\console\\connectionprovider\\singleconnectionprovider' => '/Tools/Console/ConnectionProvider/SingleConnectionProvider.php',
                'doctrine\\dbal\\tools\\dsnparser' => '/Tools/DsnParser.php',
                'doctrine\\dbal\\transactionisolationlevel' => '/TransactionIsolationLevel.php',
                'doctrine\\dbal\\types\\asciistringtype' => '/Types/AsciiStringType.php',
                'doctrine\\dbal\\types\\biginttype' => '/Types/BigIntType.php',
                'doctrine\\dbal\\types\\binarytype' => '/Types/BinaryType.php',
                'doctrine\\dbal\\types\\blobtype' => '/Types/BlobType.php',
                'doctrine\\dbal\\types\\booleantype' => '/Types/BooleanType.php',
                'doctrine\\dbal\\types\\conversionexception' => '/Types/ConversionException.php',
                'doctrine\\dbal\\types\\dateimmutabletype' => '/Types/DateImmutableType.php',
                'doctrine\\dbal\\types\\dateintervaltype' => '/Types/DateIntervalType.php',
                'doctrine\\dbal\\types\\datetimeimmutabletype' => '/Types/DateTimeImmutableType.php',
                'doctrine\\dbal\\types\\datetimetype' => '/Types/DateTimeType.php',
                'doctrine\\dbal\\types\\datetimetzimmutabletype' => '/Types/DateTimeTzImmutableType.php',
                'doctrine\\dbal\\types\\datetimetztype' => '/Types/DateTimeTzType.php',
                'doctrine\\dbal\\types\\datetype' => '/Types/DateType.php',
                'doctrine\\dbal\\types\\decimaltype' => '/Types/DecimalType.php',
                'doctrine\\dbal\\types\\exception\\invalidformat' => '/Types/Exception/InvalidFormat.php',
                'doctrine\\dbal\\types\\exception\\invalidtype' => '/Types/Exception/InvalidType.php',
                'doctrine\\dbal\\types\\exception\\serializationfailed' => '/Types/Exception/SerializationFailed.php',
                'doctrine\\dbal\\types\\exception\\typealreadyregistered' => '/Types/Exception/TypeAlreadyRegistered.php',
                'doctrine\\dbal\\types\\exception\\typenotfound' => '/Types/Exception/TypeNotFound.php',
                'doctrine\\dbal\\types\\exception\\typenotregistered' => '/Types/Exception/TypeNotRegistered.php',
                'doctrine\\dbal\\types\\exception\\typesalreadyexists' => '/Types/Exception/TypesAlreadyExists.php',
                'doctrine\\dbal\\types\\exception\\typesexception' => '/Types/Exception/TypesException.php',
                'doctrine\\dbal\\types\\exception\\unknowncolumntype' => '/Types/Exception/UnknownColumnType.php',
                'doctrine\\dbal\\types\\exception\\valuenotconvertible' => '/Types/Exception/ValueNotConvertible.php',
                'doctrine\\dbal\\types\\floattype' => '/Types/FloatType.php',
                'doctrine\\dbal\\types\\guidtype' => '/Types/GuidType.php',
                'doctrine\\dbal\\types\\integertype' => '/Types/IntegerType.php',
                'doctrine\\dbal\\types\\jsontype' => '/Types/JsonType.php',
                'doctrine\\dbal\\types\\phpdatemappingtype' => '/Types/PhpDateMappingType.php',
                'doctrine\\dbal\\types\\phpdatetimemappingtype' => '/Types/PhpDateTimeMappingType.php',
                'doctrine\\dbal\\types\\phpintegermappingtype' => '/Types/PhpIntegerMappingType.php',
                'doctrine\\dbal\\types\\phptimemappingtype' => '/Types/PhpTimeMappingType.php',
                'doctrine\\dbal\\types\\simplearraytype' => '/Types/SimpleArrayType.php',
                'doctrine\\dbal\\types\\smallinttype' => '/Types/SmallIntType.php',
                'doctrine\\dbal\\types\\stringtype' => '/Types/StringType.php',
                'doctrine\\dbal\\types\\texttype' => '/Types/TextType.php',
                'doctrine\\dbal\\types\\timeimmutabletype' => '/Types/TimeImmutableType.php',
                'doctrine\\dbal\\types\\timetype' => '/Types/TimeType.php',
                'doctrine\\dbal\\types\\type' => '/Types/Type.php',
                'doctrine\\dbal\\types\\typeregistry' => '/Types/TypeRegistry.php',
                'doctrine\\dbal\\types\\types' => '/Types/Types.php',
                'doctrine\\dbal\\types\\vardatetimeimmutabletype' => '/Types/VarDateTimeImmutableType.php',
                'doctrine\\dbal\\types\\vardatetimetype' => '/Types/VarDateTimeType.php'
            );
        }
        $cn = strtolower($class);
        if (isset($classes[$cn])) {
            require __DIR__ . $classes[$cn];
        }
    },
    true,
    false
);
// @codeCoverageIgnoreEnd

// Files
